<?php
namespace AcademyQuizzes;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Helper {
	public static function prepare_given_answer( $question_type, $attempt_item ) {
		if ( 'imageAnswer' === $question_type ) {
			$response = array();
			$answers = json_decode( $attempt_item->given_answer, true );
			foreach ( $answers as $id => $answer ) {
				$quiz_answer = \AcademyQuizzes\Classes\Query::get_quiz_answer( $id );
				$image = wp_get_attachment_image_src( $quiz_answer->image_id );
				$response[] = array(
					'id'            => $id,
					'image_url'     => $image[0],
					'answer_title' => $answer,
				);
			}
			return $response;
		} elseif ( 'fillInTheBlanks' === $question_type ) {
			$replacement = explode( ',', $attempt_item->given_answer );
			return array(
				array(
					'answer_title' => preg_replace_callback('/\{dash\}/', function( $match ) use ( $replacement ) {
						static $index = 0;
						$value = '{' . trim( $replacement[ $index ] ) . '}';
						$index++;
						return $value;
					}, $attempt_item->correct_answer),
				)
			);
		} elseif ( 'shortAnswer' === $question_type ) {
			return array(
				array(
					'answer_title' => $attempt_item->given_answer,
				)
			);
		}//end if
		return \AcademyQuizzes\Classes\Query::get_quiz_all_answer_title_by_ids( explode( ',', $attempt_item->given_answer ) );
	}
	public static function prepare_correct_answer( $question_type, $attempt_item ) {
		if ( 'imageAnswer' === $question_type ) {
			$quiz_answer = \AcademyQuizzes\Classes\Query::get_quiz_answer( $attempt_item->answer_id );
			$image = wp_get_attachment_image_src( $quiz_answer->image_id );
			return array(
				'id'            => $attempt_item->answer_id,
				'image_url'     => $image[0],
				'answer_title' => $attempt_item->correct_answer,
			);
		} elseif ( 'fillInTheBlanks' === $question_type ) {
			$replacement = explode( '|', $attempt_item->answer_content );
			return array(
				'answer_title' => preg_replace_callback('/\{dash\}/', function( $match ) use ( $replacement ) {
					static $index = 0;
					$value = '{' . trim( $replacement[ $index ] ) . '}';
					$index++;
					return $value;
				}, $attempt_item->correct_answer),
			);
		} elseif ( 'shortAnswer' === $question_type ) {
			return array(
				'answer_title' => __( 'Manually Reviewed Required.', 'academy' ),
			);
		} elseif ( 'multipleChoice' === $question_type ) {
			$answers = \AcademyQuizzes\Classes\Query::get_multi_choose_quiz_correct_answer( $attempt_item->question_id );
			$answer_title = '';
			foreach ( $answers as $answer ) {
				$answer_title .= $answer->answer_title . '<br />';
			}
			return array(
				'answer_title' => $answer_title,
			);
		}//end if
		return array(
			'answer_title' => $attempt_item->correct_answer,
		);
	}
}
