<?php
namespace Academy\Admin;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

use Academy\Helper;

class Menu {

	public static function init() {
		$self = new self();
		add_action( 'admin_menu', array( $self, 'admin_menu' ) );
	}

	/**
	 * Add admin menu page
	 *
	 * @return void
	 */
	public function admin_menu() {
		add_menu_page( __( 'Academy LMS', 'academy' ), __( 'Academy LMS', 'academy' ), 'manage_options', ACADEMY_PLUGIN_SLUG, [ $this, 'load_main_template' ], 'dashicons-welcome-learn-more', 2 );
		foreach ( Helper::get_admin_menu_list() as $item_key => $item ) {
			add_submenu_page( $item['parent_slug'], $item['title'], $item['title'], $item['capability'], $item_key, [ $this, 'load_main_template' ] );
		}
	}
	public function load_main_template() {
		$preloader_html = apply_filters( 'academy/preloader', academy_get_preloader_html() );
		echo '<div id="academywrap" class="academywrap">' . wp_kses_post( $preloader_html ) . '</div>';
	}
}
