<?php
namespace Academy;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
class API {

	public static function init() {
		$self = new self();
		API\Course::init();
		API\User::init();
		API\Settings::init();
		API\Lessons::init();
		API\QuestionAnswer::init();
		add_filter( 'user_has_cap', array( $self, 'update_user_cap' ), 10, 3 );
		add_action( 'rest_after_insert_academy_courses', array( $self, 'course_instructor_meta_data_save' ), 10, 2 );
	}
	public function update_user_cap( $allcaps, $cap, $args ) {
		if ( isset( $allcaps['edit_posts'] ) && $allcaps['edit_posts'] ) {
			$allcaps['edit_post_meta'] = true;
		}
		return $allcaps;
	}

	public function course_instructor_meta_data_save( $post, $request ) {
		global $wpdb;
		$params = $request->get_params();
		if ( isset( $params['instructors'] ) && is_array( $params['instructors'] ) ) {
			foreach ( $params['instructors'] as $author_id ) {
				$attached = (int) $wpdb->get_var(
					$wpdb->prepare(
						"SELECT COUNT(umeta_id) FROM {$wpdb->usermeta} 
                        WHERE user_id = %d AND meta_key = 'academy_instructor_course_id' AND meta_value = %d ",
						$author_id,
						$post->ID
					)
				);
				if ( ! $attached ) {
					add_user_meta( $author_id, 'academy_instructor_course_id', $post->ID );
				}
			}
		}
	}
}
