<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
?>
<?php
	do_action( 'academy/templates/before_student_reg_form' );
?>
<form id="academy_student_reg_form" class="academy-reg-form academy-reg-form--student" method="post" action="#">
<?php
	do_action( 'academy/templates/student_reg_form_start' );
?>
	<?php wp_nonce_field( 'academy_student_registration_nonce', '_wpnonce' ); ?>
	<input type="hidden" name="redirect_to" value="<?php echo esc_attr( ( isset( $_GET['redirect_to'] ) ? $_GET['redirect_to'] : '' ) ); // phpcs:ignore ?>">
	<div class="academy-form-group">
		<label for="academy_first_name"><?php esc_html_e( 'First Name', 'academy' ); ?></label>
		<input id="academy_first_name" class="academy-form-control" type="text" name="first_name" placeholder="<?php esc_html_e( 'First Name', 'academy' ); ?>" />
	</div>
	<div class="academy-form-group">
		<label for="academy_last_name"><?php esc_html_e( 'Last Name', 'academy' ); ?></label>
		<input id="academy_last_name" class="academy-form-control" type="text" name="last_name" placeholder="<?php esc_html_e( 'Last Name', 'academy' ); ?>" />
	</div>
	<div class="academy-form-group">
		<label for="academy_user_name"><?php esc_html_e( 'User Name', 'academy' ); ?></label>
		<input id="academy_user_name" class="academy-form-control" type="text" name="user_name" placeholder="<?php esc_html_e( 'User Name', 'academy' ); ?>" />
	</div>
	<div class="academy-form-group">
		<label for="academy_email"><?php esc_html_e( 'E-Mail', 'academy' ); ?></label>
		<input id="academy_email" class="academy-form-control" type="email" name="email" placeholder="<?php esc_html_e( 'E-Mail', 'academy' ); ?>" />
	</div>
	<div class="academy-form-group">
		<label for="academy_password"><?php esc_html_e( 'Password', 'academy' ); ?></label>
		<input id="academy_password" class="academy-form-control" type="password" name="password" placeholder="<?php esc_html_e( 'Password', 'academy' ); ?>" />
	</div>
	<div class="academy-form-group">
		<label for="academy_confirm_password"><?php esc_html_e( 'Confirm Password', 'academy' ); ?></label>
		<input id="academy_confirm_password" class="academy-form-control" type="password" name="confirm_password" placeholder="<?php esc_html_e( 'Confirm Password', 'academy' ); ?>" />
	</div>
	<?php do_action( 'academy/templates/student_reg_form_before_submit' ); ?>
	<div class="academy-form-group">
		<button  class="academy-btn academy-btn--bg-purple" type="submit"><?php esc_html_e( 'Register as Student', 'academy' ); ?></button>
	</div>
	<div class="academy-register-form-status"></div>
<?php
	do_action( 'academy/templates/student_reg_form_end' );
?>
</form>
<?php
	do_action( 'academy/templates/after_student_reg_form' );
?>
